Package fr.gouv.vitam.common.database.builder.query.action

# Class PopAction

java.lang.Object
fr.gouv.vitam.common.database.builder.query.action.Action
fr.gouv.vitam.common.database.builder.query.action.PopAction

Direct Known Subclasses:
  `PopAction`

public class PopAction extends Action
Pop Action: $pop : { name : -1/1 }

- ## Field Summary

  ### Fields inherited from class fr.gouv.vitam.common.database.builder.query.action.Action

  `currentAction, currentObject, currentUPDATEACTION, ready`

- ## Constructor Summary

  Constructors
  Modifier
  Constructor
  Description
  `protected`
  `PopAction()`
  ``
  `PopAction(String variableName)`
  Pop Action constructor with default last position removal
  ``
  `PopAction(String variableName, int way)`
  Pop Action constructor

- ## Method Summary

  ### Methods inherited from class fr.gouv.vitam.common.database.builder.query.action.Action

  `clean, createActionValueArrayVariable, createActionVariables, createActionVariableValue, createActionVariableValue, createActionVariableValue, createActionVariableValue, createActionVariableValue, createActionVariableValue, getCurrentAction, getCurrentObject, getUPDATEACTION, isReady, setReady, toString`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### PopAction

    protected PopAction()

  - ### PopAction

    public PopAction(String variableName, int way) throws InvalidCreateOperationException
    Pop Action constructor
    Parameters:
      `variableName` - key name
      `way` - -1 for first, 1 for last
    Throws:
      `InvalidCreateOperationException` - when query is invalid

  - ### PopAction

    public PopAction(String variableName) throws InvalidCreateOperationException
    Pop Action constructor with default last position removal
    Parameters:
      `variableName` - key name
    Throws:
      `InvalidCreateOperationException` - when query is invalid